/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.db.Partition;

import java.util.List;


/**
 * 用例执行趋势图
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-12-17 12:02:41  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "用例执行趋势图")
public class MtCaseExecTrendChart extends Partition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_caseExecAllAmount = "caseExecAllAmount";
  public static final String KEY_caseExecAmount = "caseExecAmount";
  public static final String KEY_caseNoExecAmount = "caseNoExecAmount";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_projectId = "projectId";

  /**
   * 主键id<br>
   */
  @ApiModelProperty("主键id")
  @Size(max = 50, message="主键id-id: 数据长度不能 > 50" )
  private String id;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;
  /**
   * 执行用例总数量<br>
   */
  @ApiModelProperty("执行用例总数量")
  private Integer caseExecAllAmount;
  /**
   * 已执行用例数量<br>
   */
  @ApiModelProperty("已执行用例数量")
  private Integer caseExecAmount;
  /**
   * 未执行用例数量<br>
   */
  @ApiModelProperty("未执行用例数量")
  private Integer caseNoExecAmount;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  @Size(max = 50, message="创建时间-createdTime: 数据长度不能 > 50" )
  private String createdTime;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-projectId: 数据长度不能 > 50" )
  private String projectId;

  private List<String> projectIds;

  public List<String> getProjectIds() {
    return projectIds;
  }

  public void setProjectIds(List<String> projectIds) {
    this.projectIds = projectIds;
  }

  /**
   * 主键id<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键id<br>
   *
   * @param id 主键id
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * 执行用例总数量<br>
   */
  public Integer getCaseExecAllAmount()
  {
      return caseExecAllAmount;
    }

  /**
   * 执行用例总数量<br>
   *
   * @param caseExecAllAmount 执行用例总数量
   */
  public void setCaseExecAllAmount(Integer caseExecAllAmount)
  {
      this.caseExecAllAmount = caseExecAllAmount;
    }
  /**
   * 已执行用例数量<br>
   */
  public Integer getCaseExecAmount()
  {
      return caseExecAmount;
    }

  /**
   * 已执行用例数量<br>
   *
   * @param caseExecAmount 已执行用例数量
   */
  public void setCaseExecAmount(Integer caseExecAmount)
  {
      this.caseExecAmount = caseExecAmount;
    }
  /**
   * 未执行用例数量<br>
   */
  public Integer getCaseNoExecAmount()
  {
      return caseNoExecAmount;
    }

  /**
   * 未执行用例数量<br>
   *
   * @param caseNoExecAmount 未执行用例数量
   */
  public void setCaseNoExecAmount(Integer caseNoExecAmount)
  {
      this.caseNoExecAmount = caseNoExecAmount;
    }
  /**
   * 创建时间<br>
   */
  public String getCreatedTime()
  {
      return createdTime;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(String createdTime)
  {
      this.createdTime = createdTime;
    }
  /**
   * <br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * <br>
   *
   * @param projectId 
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }

  public MtCaseExecTrendChart()
  {
  }

}
